# StageLogGetCurrent

This function returns the stage from the top of the stack.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetCurrent(StageLog stageLog, int *stage)

Not Collective

### Input Parameter

stageLog -The StageLog

### Output Parameter

stage -The current stage

### Notes

If no stage is currently active, stage is set to -1.

### Keywords

log, stage

### See Also

StageLogPush(), StageLogPop(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages